【活用ガイド】

[English]

JVNDB-2017-000153

法務省が提供するPDF署名プラグインのインストーラにおける任意の DLL 読み込みに関する脆弱性

概要

法務省が提供するPDF署名プラグインのインストーラには、DLL を読み込む際の検索パスに問題があり、意図しない DLL を読み込んでしまう脆弱性 (CWE-427) が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき次の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: NTTコミュニケーションズ株式会社 東内 裕二 氏、橘総合研究所 英利 雅美 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

[参考] CVSS v3 による深刻度
基本値: 7.8 (重要) [IPA値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): 高
  • 可用性への影響(A): 高
影響を受けるシステム


法務省
  • PDF署名プラグイン (G2.30) およびそれ以前のインストーラ (2017年6月29日より前に掲載されていた版)

想定される影響

インストーラを実行している権限で、任意のコードを実行される可能性があります。
対策

[最新のインストーラを使用する]
開発者が提供する情報をもとに、最新のインストーラを使用してください。
なお、本脆弱性の影響を受けるのはインストーラの起動時のみのため、既存のユーザはPDF署名プラグインをアップデートする必要はありません。
ベンダ情報

法務省
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2017-2233
参考情報

  1. JVN : JVN#45134765
  2. JVN : JVNTA#91240916
更新履歴

[2017年06月30日]
  掲載

[2017年07月04日]
  影響を受けるシステム:記述を更新